Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZRSSExport Class Reference

Handles RSS Export in eZ Publish. More...

Inheritance diagram for eZRSSExport:

## Public Member Functions
| store ( $storeAsValid=false)
| removeThis ()
| itemList ()
| imageNode ()
| imagePath ()
| modifier ()
| rssXmlContent ()
| fetchItems ( $id=false, $status=eZRSSExport::STATUS_VALID)
| getObjectListFilter ()
| generateFeed ( $type)
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $user_id)
static | fetch ( $id, $asObject=true, $status=eZRSSExport::STATUS_VALID)
static | fetchByName ( $access_url, $asObject=true)
static | fetchList ( $asObject=true)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $ImageID
| $ModifierID
| $MainNodeOnly
| $NumberOfObjects
| $Title
| $URL
| $SiteAccess
| $CreatorID
| $Description
| $RSSVersion
| $AccessURL
| $Active
const | STATUS_VALID = 1
const | STATUS_DRAFT = 0
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Private Member Functions
| fetchImageURL ()
| urlEncodePath ( $url)

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

Handles RSS Export in eZ Publish.

RSSExport is used to create RSS feeds from published content. See kernel/rss for more files.

Definition at line 18 of file ezrssexport.php.

## Member Function Documentation

## ◆ create()

static eZRSSExport::create | ( |  | $user_id | ) |
| static

Creates a new RSS Export

Parameters

  User | ID

Returns
  the URL alias object

Definition at line 132 of file ezrssexport.php.

References ezpI18n\tr().

Referenced by eZSiteInstaller\setRSSExport().

## ◆ definition()

static eZRSSExport::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 36 of file ezrssexport.php.

References ezpI18n\tr().

Referenced by fetch(), fetchByName(), and fetchList().

## ◆ fetch()

static eZRSSExport::fetch | ( |  | $id,
|  |  | $asObject = `true`,
|  |  | $status = `eZRSSExport::STATUS_VALID`
| ) |  |
| static

Fetches the RSS Export by ID.

Parameters

  RSS | Export ID

Definition at line 210 of file ezrssexport.php.

References definition(), and eZPersistentObject\fetchObject().

## ◆ fetchByName()

static eZRSSExport::fetchByName | ( |  | $access_url,
|  |  | $asObject = `true`
| ) |  |
| static

Fetches the RSS Export by feed access url and is active.

Parameters

  RSS | Export access url

Definition at line 225 of file ezrssexport.php.

References definition(), and eZPersistentObject\fetchObject().

## ◆ fetchImageURL()

eZRSSExport::fetchImageURL | ( |  | ) |
| private

Fetch Image from current ezrss export object. If non exist, or invalid, return false

Returns
  valid image url

Definition at line 692 of file ezrssexport.php.

References eZPersistentObject\attribute(), eZSys\hostname(), and eZSys\wwwDir().

Referenced by generateFeed().

## ◆ fetchItems()

eZRSSExport::fetchItems | ( |  | $id = `false`,
|  |  | $status = `eZRSSExport::STATUS_VALID`
| ) |  |

Fetches RSS Items related to this RSS Export. The RSS Export Items contain information about which nodes to export information from

Parameters

  RSSExport | ID (optional). Uses current RSSExport's ID as default

Returns
  RSSExportItem list. null if no RSS Export items found

Definition at line 348 of file ezrssexport.php.

References eZPersistentObject\$ID, eZPersistentObject\$Status, and eZRSSExportItem\fetchFilteredList().

Referenced by itemList(), and removeThis().

## ◆ fetchList()

static eZRSSExport::fetchList | ( |  | $asObject = `true` | ) |
| static

Fetches complete list of RSS Exports.

Definition at line 239 of file ezrssexport.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ generateFeed()

eZRSSExport::generateFeed | ( |  | $type | ) |

Generates an RSS feed document with type $type and returns it as a string.

It uses the Feed component from eZ Components.

Supported types: 'rss1', 'rss2', 'atom'.

Since
  4.2

Parameters

  string | $type | One of 'rss1', 'rss2' and 'atom'

Returns
  string XML document as a string

Definition at line 397 of file ezrssexport.php.

References eZPersistentObject\attribute(), eZPersistentObject\count(), eZContentObject\fetch(), eZRSSExportItem\fetchFilteredList(), fetchImageURL(), eZRSSExportItem\fetchNodeList(), eZRSSExportItem\getAttributeMappings(), getObjectListFilter(), eZLocale\instance(), eZContentObjectTreeNode\showInvisibleNodes(), eZURI\transformURI(), urlEncodePath(), and eZDebug\writeError().

Referenced by rssXmlContent().

## ◆ getObjectListFilter()

eZRSSExport::getObjectListFilter | ( |  | ) |

Definition at line 370 of file ezrssexport.php.

Referenced by generateFeed().

## ◆ imageNode()

eZRSSExport::imageNode | ( |  | ) |

Definition at line 251 of file ezrssexport.php.

References eZContentObjectTreeNode\fetch().

## ◆ imagePath()

eZRSSExport::imagePath | ( |  | ) |

Definition at line 260 of file ezrssexport.php.

References eZPersistentObject\count(), and eZContentObjectTreeNode\fetch().

## ◆ itemList()

eZRSSExport::itemList | ( |  | ) |

Definition at line 246 of file ezrssexport.php.

References fetchItems().

## ◆ modifier()

eZRSSExport::modifier | ( |  | ) |

Definition at line 287 of file ezrssexport.php.

References eZUser\fetch().

## ◆ removeThis()

eZRSSExport::removeThis | ( |  | ) |

Remove the RSS Export.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 190 of file ezrssexport.php.

References fetchItems(), and eZDB\instance().

## ◆ rssXmlContent()

eZRSSExport::rssXmlContent | ( |  | ) |

Generates an RSS feed document based on the rss_version attribute.

It uses the Feed component from eZ Components.

Supported types: 'rss1', 'rss2', 'atom'.

Since
  4.2

Returns
  string XML document as a string

Definition at line 306 of file ezrssexport.php.

References eZPersistentObject\attribute(), and generateFeed().

## ◆ store()

eZRSSExport::store | ( |  | $storeAsValid = `false` | ) |

Store Object to database

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Reimplemented from eZPersistentObject.

Definition at line 158 of file ezrssexport.php.

References eZPersistentObject\attribute(), eZUser\currentUser(), eZDB\instance(), eZPersistentObject\setAttribute(), and STATUS_VALID.

## ◆ urlEncodePath()

eZRSSExport::urlEncodePath | ( |  | $url | ) |
| private

Performs rawurlencode() on the path part of the URL. The rest is not touched.

Returns
  partially encoded url

Definition at line 732 of file ezrssexport.php.

Referenced by generateFeed().

## Member Data Documentation

## ◆ $AccessURL

eZRSSExport::$AccessURL

Definition at line 30 of file ezrssexport.php.

## ◆ $Active

eZRSSExport::$Active

Definition at line 31 of file ezrssexport.php.

## ◆ $CreatorID

eZRSSExport::$CreatorID

Definition at line 27 of file ezrssexport.php.

## ◆ $Description

eZRSSExport::$Description

Definition at line 28 of file ezrssexport.php.

## ◆ $ImageID

eZRSSExport::$ImageID

Definition at line 20 of file ezrssexport.php.

## ◆ $MainNodeOnly

eZRSSExport::$MainNodeOnly

Definition at line 22 of file ezrssexport.php.

## ◆ $ModifierID

eZRSSExport::$ModifierID

Definition at line 21 of file ezrssexport.php.

## ◆ $NumberOfObjects

eZRSSExport::$NumberOfObjects

Definition at line 23 of file ezrssexport.php.

## ◆ $RSSVersion

eZRSSExport::$RSSVersion

Definition at line 29 of file ezrssexport.php.

## ◆ $SiteAccess

eZRSSExport::$SiteAccess

Definition at line 26 of file ezrssexport.php.

## ◆ $Title

eZRSSExport::$Title

Definition at line 24 of file ezrssexport.php.

## ◆ $URL

eZRSSExport::$URL

Definition at line 25 of file ezrssexport.php.

## ◆ STATUS_DRAFT

const eZRSSExport::STATUS_DRAFT = 0

Definition at line 34 of file ezrssexport.php.

Referenced by eZRSSExportItem\create().

## ◆ STATUS_VALID

const eZRSSExport::STATUS_VALID = 1

Definition at line 33 of file ezrssexport.php.

Referenced by store().

The documentation for this class was generated from the following file:

- ezrssexport.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.